CAMELOT(1)

NAME
camelot - extract tables from PDFs

SYNOPSIS
camelot [OPTIONS] COMMAND [ARGS]...

DESCRIPTION

    Camelot: PDF Table Extraction for Humans

OPTIONS

--version
    Show the version and exit.

-q, --quiet TEXT
    Suppress logs and warnings.

-p, --pages TEXT
    Comma-separated page numbers. Example: 1,3,4 or 1,4-end or all.

-pw, --password TEXT
    Password for decryption.

-o, --output TEXT
    Output file path.

-f, --format [csv|excel|html|json|markdown|sqlite]
    Output file format.

-z, --zip
    Create ZIP archive.

-split, --split_text
    Split text that spans across multiple cells.

-flag, --flag_size
    Flag text based on font size. Useful to detect super/subscripts.

-strip, --strip_text TEXT
    Characters that should be stripped from a string before assigning it to a cell.

-M, --margins FLOAT...
    PDFMiner char_margin, line_margin and word_margin.

--help
    Show this message and exit.

  Commands:

lattice
    Use lines between text to parse the table.

stream
    Use spaces between text to parse the table.

SEE ALSO
This man page has been generated with help2man.

Run camelot command --help to see the full documentation of subcommands.